Power Options overview

Using Power Options in Control Panel, you can reduce the power consumption of any number of your computer devices or of your entire system. You do this by choosing a power scheme, which is a collection of settings that manages the power usage by your computer. You can create your own power schemes or use the ones provided with Windows 2000.

You can also adjust the individual settings in a power scheme. For example, depending on your hardware, you can:

  • Turn off your monitor and hard disks automatically to save power.
  • Put the computer on standby when it is idle. While on standby, your entire computer switches to a low power state where devices, such as the monitor and hard disks, turn off and your computer uses less power. When you want to use the computer again, it comes out of standby quickly, and your desktop is restored exactly as you left it. Standby is particularly useful for conserving battery power in portable computers. Because Standby does not save your desktop state to disk, a power failure while on Standby can cause you to lose unsaved information.
  • Put your computer in hibernation. The hibernate feature saves everything in memory on disk, turns off your monitor and hard disk, and then turns off your computer. When you restart your computer, your desktop is restored exactly as you left it. It takes longer to bring your computer out of hibernation than out of standby.

Typically, you turn off your monitor or hard disk for a short period to conserve power. If you plan to be away from your computer for a while, you put your computer on standby, which puts your entire system in a low-power state.

Put your computer in hibernation when you will be away from the computer for an extended time or overnight. When you restart the computer, your desktop is restored exactly as you left it.

To use Windows 2000 Power Options, you must have a computer that is set up by the manufacturer to support these features. For more information, see the documentation that came with your computer.

Related Topics


Common tasks: Power options

Common tasks

The following tasks are frequently used when configuring Power Options. Click the Index or Search tab to search for a specific word or phrase.

Choose a power scheme

A power scheme is a predefined collection of power options. Choose a power scheme to apply settings that fit the way you use your computer, or use one as a starting point for creating your own personalized power scheme.

Step-by-step procedure

Put your computer on standby

Standby is a state in which your monitor and hard disks turn off, so that your computer uses less power. When you want to use the computer again, it comes out of standby quickly, and your desktop is restored exactly as you left it. Use standby to save power when you will be away from the computer for a short time while working. Because Standby does not save your desktop state to disk, a power failure while on Standby can cause you to lose unsaved information.

Step-by-step procedure for automatic (timed) standby

Step-by-step procedure for manual standby

Put your computer in hibernation.

Hibernation is a state in which your computer shuts down to save power but first saves everything in memory on your hard disk. When you restart the computer, your desktop is restored exactly as you left it. Use hibernation to save power when you will be away from the computer for an extended time while working.

Step-by-step procedure for automatic (timed) hibernation

Step-by-step procedure for manual hibernation

Set a warning alarm when your battery is low.

You can set Power Options to set off a warning alarm when the level of battery reserve power falls below the levels you have defined as low or critical. You can easily change the battery level at which the alarm or message is activated.

Step-by-step procedure


Choose a power scheme

To choose a power scheme

  1. Open Power Options in Control Panel.
  2. Under Power Schemes, select the power scheme you want. The power settings you see will change depending on the power scheme you choose.

Notes

  • Preset time settings appear in the Turn off monitor and Turn off hard disks lists of the Power Schemes tab. You can change these settings by clicking the arrow and then clicking the time you want.
  • You can create a new power scheme by clicking the time settings you want, clicking Save As, and typing a name.


Create a new power scheme

To create a new power scheme

  1. Open Power Options in Control Panel.
  2. In the Turn off monitor and Turn off hard disks lists on the Power Schemes tab, select the time settings you want.
  3. Click Save As, and then type a name for the power scheme. The new scheme is added to the Power Schemes list.

Notes

  • You can delete a power scheme by selecting it and then clicking Delete.


Automatically put your computer into hibernation

To automatically put your computer into hibernation

  1. Open Power Options in Control Panel.
  2. Click the Hibernate tab, select the Enable hibernate support check box, and then click Apply.

    3. If the Hibernate tab is unavailable, your computer does not support this feature.

  3. Click the APM tab, click Enable Advanced Power Management support, and then click Apply.

    4. The APM tab is unavailable on ACPI-compliant computers. ACPI automatically enables Advanced Power Management, which disables the APM tab.

  4. Click the Power Schemes tab, and then select a time in System hibernates.

Notes

  • Your computer hibernates after it has been idle for the time period specified in System hibernates.
  • When you put your computer into hibernation, everything in computer memory is saved on your hard disk, and your computer is switched off. When you turn the computer back on, all programs and documents that were open when you turned the computer off are restored on the desktop.
  • To put your computer into hibernation, you must have a computer that is set up by the manufacturer to support this option.


Manually put your computer into hibernation

To manually put your computer into hibernation

  1. Open Power Options in Control Panel.
  2. Click the Hibernate tab, and then select the Enable hibernate support check box.

    3. If the Hibernate tab is not available, your computer does not support this feature.

  3. Click OK to close the Power Options dialog box.
  4. Click Start, and then click Shut Down. On the Shut Down Windows dialog box, click Hibernate.

Notes

  • When you put your computer into hibernation, everything in computer memory is saved on your hard disk. When you turn the computer back on, all programs and documents that were open when you turned the computer off are restored on the desktop.
  • To put your computer into hibernation, you must have a computer that is set up by the manufacturer to support this option.


Automatically put your computer on standby

To automatically put your computer on standby

  1. Open Power Options in Control Panel.
  2. In Power Schemes, click the down arrow, and then select a power scheme. The time settings for the power scheme are displayed in System standby, Turn off monitor, and Turn off hard disks.
  3. To turn off your monitor before your computer goes on standby, select a time in Turn off monitor.
  4. To turn off your hard disk before your computer goes on standby, select a time in Turn off hard disks.

Notes

  • You may want to save your work before putting your computer on standby. While the computer is on standby, information in computer memory is not saved to your hard disk. If there is an interruption in power, information in memory is lost.
  • You can create a new power scheme by specifying the time settings you want and then clicking Save As.
  • If you're using a portable computer, you can specify one setting for battery power and a different setting for AC power.
  • To put your computer on standby, you must have a computer that is set up by the manufacturer to support this option.


Manually put your computer on standby

To manually put your computer on standby

  1. Open Power Options in Control Panel.
  2. Under When I press the power button on my computer, click Standby. If you are using a portable computer, click Standby under When I close the lid of my portable computer.
  3. Click OK or Apply, and then turn off the power or close the lid of your portable computer.

Notes

  • You can also put your computer on standby by clicking Start, clicking Shutdown, and then clicking Standby.
  • You may want to save your work before putting your computer on standby. While the computer is on standby, information in computer memory is not saved on your hard disk. If there is an interruption in power, information in memory is lost.
  • To put your computer on standby, you must have a computer that is set up by the manufacturer to support this option.


Change the elapsed time before your computer automatically goes on standby

To change the elapsed time before your computer automatically goes on standby

  1. Open Power Options in Control Panel.
  2. In System standby, click the time you want.

Notes

  • To be prompted for your Windows password when your computer goes off standby, click the Advanced tab, and then click Prompt for password when computer goes off standby.


Change the elapsed time before your hard disk automatically turns off

To change the elapsed time before your hard disk automatically turns off

  1. Open Power Options in Control Panel.
  2. In Turn off hard disks, click the arrow, and then select the time you want. If this option is not displayed, your hard disks do not support this feature.

Notes

  • To use this Power Options feature, you must have a hard disk that is set up by the manufacturer to support this option.


Change the elapsed time before your monitor automatically turns off

To change the elapsed time before your monitor automatically turns off

  1. Open Power Options in Control Panel.
  2. In Turn off monitor, click the arrow, and select the time you want.

Notes

  • If Turn off monitor is not available, your monitor does not support this feature.


Password-protect your computer during standby or hibernation

To password-protect your computer during standby or hibernation

  1. Open Power Options in Control Panel.
  2. Click the Advanced tab, then click Prompt for password when computer goes off standby.

Notes

  • You use your Windows password for both standby and hibernation.


Set a warning alarm for a low or critical battery condition

To set a warning alarm for a low or critical battery condition

  1. Open Power Options in Control Panel.
  2. Click the Alarms tab.
  3. In Low battery alarm and Critical battery alarm, specify the settings you want by dragging the slider.
  4. Click Alarm Action to select the type of alarm notification and power level you want.

Notes

  • If you want your computer to shut down when the alarm occurs, click When the alarm goes off, the computer will in the Alarm Actions dialog box.
  • You can set a low battery alarm, a critical battery alarm, or both.


Using the Uninterruptible Power Supply (UPS) service

Once you have purchased an Uninterruptible Power Supply (UPS) for your computer, you can set options for its operation using Power Options in Control Panel. The UPS tab in Power Options enables you to control how the UPS service works on your computer. The UPS settings available depend on the specific UPS hardware installed on your system. The settings may include options such as:

  • The serial port where the UPS device is connected.
  • The conditions that trigger the UPS device to send a signal, such as a utility power failure, low battery power, and remote shutdown by the UPS device.
  • The time intervals for maintaining battery power, recharging the battery, and sending warning messages after power failure.


Install a UPS

To install a UPS

  1. Open Power Options in Control Panel.
  2. On the UPS tab, click Select.
  3. In the UPS Selection dialog box, under Select manufacturer, click the manufacturer of the UPS attached to the computer.
  4. Under Select model, click the model of UPS attached to the computer.
  5. Under On port, click the serial port where the UPS is attached, and then click Finish.

Notes


Remove a UPS

To remove a UPS

  1. Open Power Options in Control Panel.
  2. On the UPS tab, click Select.
  3. In the UPS Selection dialog box, under Select manufacturer, click None.

Notes


Configure a UPS

To configure a UPS

  1. Open Power Options in Control Panel.
  2. On the UPS tab, click Configure.
  3. In the UPS Configuration dialog box, change one or more of the following settings:

    4. Enable all notifications

    Select this check box if you want Windows 2000 to display a warning message when the computer switches to UPS power. You can specify the number of seconds to wait before displaying the initial power failure warning message and the number of seconds that must elapse before displaying subsequent power failure messages.

    Critical alarm

    • Select the Minutes on battery before critical alarm check box if you want Windows 2000 to allow the computer to run on UPS for a set number of minutes before the critical power alarm.
    • Select the When the alarm occurs, run this program check box if you want Windows 2000 to run a program or task when the UPS activates the critical power alarm.
      1. Click Configure.
      2. In the UPS System Shutdown Program dialog box, in Run, type the program or task to run before the UPS shuts down the computer, or click Browse to search for a program or task.
      3. On the Schedule tab, customize the task's schedule as appropriate.
      4. On the Settings tab, customize the settings for scheduled task completion, idle time, and power management as appropriate.
    • In the Next, instruct the computer to list, click the system state you want the computer to enter when the critical power alarm occurs.
    • Select the Finally, turn off the UPS check box if you want the UPS to shut down when the computer is shut down.

Notes

  • The command file must reside in your systemroot\System32 folder and have one of the following extensions: .exe, .com, .bat, or .cmd.
  • You cannot specify a command file that causes a dialog box to appear, because dialog boxes that require user input can impede a graceful system shutdown. The command file must finish running in 30 seconds. A run time that is greater than 30 seconds threatens the capability of Windows to complete a graceful system shutdown.
  • After configuring UPS options, be sure to test your UPS configuration to confirm that your computer is protected from power failure.
  • The options for configuring the UPS service depend on the specific UPS hardware installed on your system. Incorrect settings can cause undesirable operation of your UPS hardware. For details about possible settings, see the documentation for your UPS device.


Configure a simple-signalling UPS

To configure a simple-signalling UPS

  1. Open Power Options in Control Panel.
  2. On the UPS tab, click Configure.
  3. In the UPS Interface Configuration dialog box, set the UPS signal polarities as appropriate for:
    • Power Fail/On Battery
    • Low Battery
    • UPS Shutdown

Caution

  • Before changing these settings, see the documentation that came with your UPS.

Notes


Test your UPS configuration

To test your UPS configuration

  1. Simulate a power failure by disconnecting the power to the UPS device.
  2. Wait until the UPS battery reaches a low level, at which point system shutdown should occur.
  3. Restore power to the UPS device.
  4. Check the system log in Event Viewer to ensure that all actions were logged and that there were no errors.

Caution

  • Save and close any open documents before performing system tests like this one.

Notes

  • After you disconnect the power to the UPS device, the computer and peripherals connected to the UPS device should continue operating and a warning message should appear on the screen.
  • If the UPS service is configured to run a command file, ensure that the file executes in under 30 seconds. Failure to complete execution in 30 seconds jeopardizes the safe shutdown of your Windows 2000 computer.


ACPI overview

Advanced Configuration and Power Interface (ACPI) is an open industry specification that defines a flexible and extensible hardware interface for the system board. Software designers use this specification to integrate power management features throughout a computer system, including hardware, the operating system and application software. This integration enables Windows 2000 to determine which applications are active and handle all of the power management resources for computer subsystems and peripherals.

ACPI enables the operating system to direct power management on a wide range of mobile, desktop and server computers and peripherals.

ACPI is the foundation for the OnNow industry initiative that allows system manufacturers to deliver computers that will start at the touch of a key on a keyboard.

ACPI design is essential to take full advantage of power management and Plug and Play in Windows 2000. If you are not sure if your computer is ACPI-compliant, check your manufacturer's documentation. To change power settings that take advantage of ACPI, use Power Options in Control Panel.


Managing power on a portable computer

Using Power Options in Control Panel, you can reduce consumption of battery power on your portable computer and still keep the computer available for immediate use. You can view multiple batteries separately or as a whole, and set alarms to warn you of low battery conditions.

You can put your computer on standby, which turns off the monitor and hard disks to reduce battery power consumption. When you bring the computer out of standby, your desktop appears exactly as you left it. You may want to save your work before putting your computer on standby. While on standby, information in computer memory is not saved on your hard disk. If there is an interruption in power, information in memory is lost.

You may also be able to put your computer in hibernation. The hibernate feature turns off your monitor and hard disk, saves everything in memory on disk, and turns off the computer. When you restart the computer, your desktop is restored exactly as you left it.

The Power Options you see will vary depending on the exact hardware configuration you have. To use Power Options, you must have a computer that is set up by the manufacturer to support these features. For more information, see the documentation that came with your computer.

Operation During Commercial Air Travel

Some commercial airlines may request that you turn off portable computers during certain portions of the flight, such as takeoff and landing. To comply with this request, you must turn off your computer completely.

Your computer may appear to be turned off while in either standby or hibernate mode. However, the operating system might automatically reactivate itself to run certain preprogrammed tasks or to conserve battery power. To prevent this from occurring during air travel, be certain to shut down your computer completely when not in use. For more information on shutting down your computer, see Related Topics.

In addition, if your computer is equipped with a cellular modem, you must also ensure that this modem is completely turned off during air travel as required by Federal Communication Commission regulations. Failure to comply with these requirements could lead to civil or criminal penalties.


Delete a power scheme

To delete a power scheme

  1. Open Power Options in Control Panel.
  2. Under Power Schemes, click the down arrow, and then select the power scheme you want to delete.
  3. Click Delete.

Notes

  • To create a new power scheme, click the time settings you want, click Save As, and type a name.